.carousel-autoplay {
  position: relative;
}

.carousel-autoplay__icon {
  display: block;
  width: 100%;
  height: 100%;
}

.carousel-autoplay__svg {
  display: none;
  width: 100%;
  height: 100%;
}

.carousel-autoplay[data-state="playing"] .carousel-autoplay__svg--pause,
.carousel-autoplay[data-state="paused"] .carousel-autoplay__svg--play {
  display: block;
}

.carousel-autoplay::after {
  position: absolute;
  inset: 0;
  pointer-events: none;
  content: "";
  background-color: rgb(0 0 0 / 0%);
  border-radius: 50%;
  transition: background-color 0.2s;
}

.carousel-autoplay:hover::after,
.carousel-autoplay:focus-visible::after {
  background-color: rgb(0 0 0 / 10%);
}

.carousel-autoplay:active::after {
  background-color: rgb(0 0 0 / 40%);
}

@media (max-width: 959px) {
  .carousel-autoplay:active::after {
    background-color: rgb(0 0 0 / 10%);
  }
}
